# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /feedstock/recipe, last modified Wed Nov 29 21:42:43 2023
# ------------------------------------------------

package:
  name: s3fs
  version: 2023.10.0
source:
  sha256: c40f238ccc9fefff3f6d09d4b5762abd6c913ba42e1a328976b54d038901b835
  url: https://pypi.io/packages/source/s/s3fs/s3fs-2023.10.0.tar.gz
build:
  number: '0'
  script: /croot/s3fs_1701294169021/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pl/bin/python
    -m pip install . --no-deps --no-build-isolation -vv
  string: py311h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2023.08.22 h06a4308_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.4.4 h6a678d5_0
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - ncurses 6.4 h6a678d5_0
    - openssl 3.0.12 h7f8727e_0
    - pip 23.3.1 py311h06a4308_0
    - python 3.11.5 h955ad1f_0
    - readline 8.2 h5eee18b_0
    - setuptools 68.0.0 py311h06a4308_0
    - sqlite 3.41.2 h5eee18b_0
    - tk 8.6.12 h1ccaba5_0
    - tzdata 2023c h04d1e81_0
    - wheel 0.41.2 py311h06a4308_0
    - xz 5.4.2 h5eee18b_0
    - zlib 1.2.13 h5eee18b_0
  run:
    - aiobotocore >=2.7.0,<2.8.0
    - aiohttp !=4.0.0a0,!=4.0.0a1
    - fsspec 2023.10.0.*
    - python >=3.11,<3.12.0a0
test:
  commands:
    - pip check
  imports:
    - s3fs
  requires:
    - pip
about:
  description: 'S3FS builds on aiobotocore to provide a convenient Python filesystem
    interface for S3.

    '
  dev_url: https://github.com/dask/s3fs
  doc_url: https://s3fs.readthedocs.io/
  home: https://s3fs.readthedocs.io/
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE.txt
  summary: Convenient Filesystem interface over S3
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: a2824cba-2920-4daa-945d-3cf28b36e684
  recipe-maintainers:
    - koverholt
    - martindurant
    - mrocklin
    - tomaugspurger
  remote_url: git@github.com:AnacondaRecipes/s3fs-feedstock.git
  sha: 5a49365d095229aed74e324451017b2eeff0f668
